Subject: [PATCH v3 07/12] sched: test the cpu's capacity in wake affine

From: [email-masked] (Rik van Riel)
Date: Tue, 08 Jul 2014 23:12:23 -0400

On 06/30/2014 12:05 PM, Vincent Guittot wrote:
> Currently the task always wakes affine on this_cpu if the latter is
> idle. Before waking up the task on this_cpu, we check that this_cpu
> capacity is not significantly reduced because of RT tasks or irq
> activity.
> 
> Use case where the number of irq and/or the time spent under irq is
> important will take benefit of this because the task that is woken
> up by irq or softirq will not use the same CPU than irq (and
> softirq) but a idle one which share its cache.
> 
> Signed-off-by: Vincent Guittot <[email-masked]>

Acked-by: Rik van Riel <[email-masked]>

- -- 
All rights reversed